#!/bin/bash

# Set up PAT YP stuff.

if [ `grep NISDOMAIN=fnpat /etc/sysconfig/network | wc -l` -eq 0 ]
then
  echo 'NISDOMAIN=fnpat.fnal.gov' >> /etc/sysconfig/network
fi

if [ `grep fnpat.fnal.gov /etc/yp.conf | wc -l` -eq 0 ]
then
  echo 'domain fnpat.fnal.gov server fnpat1.fnal.gov' >> /etc/yp.conf
fi

/sbin/chkconfig ypbind on

# Set up PAT NFS mount points

[ -d /home          ] || mkdir /home
[ -d /home/mu1      ] || mkdir /home/mu1
[ -d /home/pat      ] || mkdir /home/pat
[ -d /home/sim1     ] || mkdir /home/sim1
[ -d /home/ghi      ] || mkdir /home/ghi
[ -d /home/btev     ] || mkdir /home/btev
[ -d /home/zoom     ] || mkdir /home/zoom
[ -d /home/misc1    ] || mkdir /home/misc1
[ -d /home/nirvana  ] || mkdir /home/nirvana
[ -d /home/products ] || mkdir /home/products

[ -d /fnal/ups/Linux ] || mkdir -p /fnal/ups/Linux

[ -d /scr       ] || mkdir /scr
[ -d /scr/mu1   ] || mkdir /scr/mu1
[ -d /scr/sim1  ] || mkdir /scr/sim1
[ -d /scr/misc1 ] || mkdir /scr/misc1

if [ `grep fnpat1.fnal.gov:/home/mu1 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/home/mu1 /home/mu1   nfs   timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/pat   /home/pat    nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/sim1  /home/sim1   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/ghi   /home/ghi    nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/btev  /home/btev   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/zoom  /home/zoom   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/misc1 /home/misc1  nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/nirvana /home/nirvana nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/products /home/products nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/fnal/ups/Linux /fnal/ups/Linux nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/scr/sim1  /scr/sim1     nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/scr/mu1  /scr/mu1       nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/scr/focus1 /scr/focus1  nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/scr/misc1  /scr/misc1   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

# Set up PAT /usr/local/etc /usr/local/bin

mv /usr/local/bin /usr/local/bin.old
mv /usr/local/etc /usr/local/etc.old
tar -xvzf /etc/PAT/configfiles/patusrlocaletc.tgz
tar -xvzf /etc/PAT/configfiles/patusrlocalbin.tgz
patlx1.fnal.gov % 
